Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class FRDAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.FRDAbstractType

Direct Known Subclasses:
  FootnoteReferenceDescriptor

    public abstract class FRDAbstractType

extends java.lang.Object

Footnote Reference Descriptor (FRD).

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format (.doc) Specification

Method Summary
`short` | `getNAuto()` If > 0, the note is an automatically numbered note, otherwise it has a custom mark.
`static int` | `getSize()` Size of record
`void` | `serialize(byte[] data, int offset)`
`void` | `setNAuto(short field_1_nAuto)` If > 0, the note is an automatically numbered note, otherwise it has a custom mark.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNAuto

    public short getNAuto()

  If > 0, the note is an automatically numbered note, otherwise it has a custom mark.

### setNAuto

    public void setNAuto(short field_1_nAuto)

  If > 0, the note is an automatically numbered note, otherwise it has a custom mark.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD